package com.example.chat.controller;

import com.example.chat.entity.User;
import com.example.chat.service.ChatIndex;
import com.example.chat.service.HeadOss;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.annotation.Resource;
import java.io.IOException;
import java.util.Map;

@Slf4j
@CrossOrigin
@RestController
@RequestMapping("/index")
public class IndexController {

    @Resource
    HeadOss headOss;
    @Resource
    ChatIndex chatIndex;

    @RequestMapping("/modifyHead")
    public void modifyHead( @RequestParam("file") MultipartFile file) {
        System.out.println(file.getOriginalFilename());
        headOss.modifyHead(file);
    }

    @GetMapping("/deleteUser")
    public void deleteUser(@RequestParam("account") String account) {
        chatIndex.deleteUser(account);
    }
    @PostMapping("/modifyPassword")
    public String updatePassword(@RequestBody  Map<String,String> requestData) throws IOException {
        System.out.println(requestData);
        User user=new User();
        user.setAccount(requestData.get("account"));
        user.setPassword(requestData.get("password"));
        String oldPassword=requestData.get("oldPassword");
        System.out.println(user);
        System.out.println(oldPassword);
        return chatIndex.modifyPassword(user,oldPassword);
    }

    @PostMapping("/modifyUsername")
    public void modifyUser(@RequestBody User user) throws IOException {
        chatIndex.modifyUsername(user);
    }
}
