package com.example.chat.dao;

import com.example.chat.entity.User;
import com.example.chat.dao.mybatis.MybatisSingleton;
import org.apache.ibatis.session.SqlSession;
import org.springframework.stereotype.Repository;


import java.io.IOException;

@Repository
public class UserDao implements UserMapper {

    @Override
    public void addUser(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.insert("dao.Login.addUser", user);
        sqlSession.commit();
        sqlSession.close();
    }

    @Override
    public void delUser(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.delete("dao.Login.deleteUser", user);
        sqlSession.commit();
        sqlSession.close();
    }

    @Override
    public void updateUser(User user) throws IOException {
        SqlSession sqlSession=MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.update("dao.Login.updateUsername",user);
        sqlSession.commit();
        sqlSession.close();
    }


    @Override
    public User getUser(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        User returnUser = sqlSession.selectOne("dao.Login.getUser", user);
        sqlSession.close();
        return returnUser;
    }

    @Override
    public User emailCheck(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        User returnUser = sqlSession.selectOne("dao.Login.emailCheck", user);
        sqlSession.close();
        return returnUser;
    }

    @Override
    public void modifyHead(String pic, String account) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.update("dao.Login.updateHead", new User("", "", account, pic, ""));
        sqlSession.commit();
        sqlSession.close();
    }

    @Override
    public User getUserByAccount(String account) throws IOException {

        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        User user=new User();
        user.setAccount(account);
        User user1 = sqlSession.selectOne("dao.Login.getUserByAccount", user);
        sqlSession.close();
        return user1;
    }

    @Override
    public void updatePassword(User user) throws IOException {
        SqlSession sqlSession=MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.update("dao.Login.updatePassword",user);
        sqlSession.commit();
        sqlSession.close();
    }


}
