package com.example.chat.entity.chat;

import com.alibaba.fastjson.annotation.JSONCreator;
import com.alibaba.fastjson.annotation.JSONField;

public class Message {
    private String nickname;
    private String pic;
    private String sendTime;
    private String message;

    private  String account;

    public Message(String nickname, String pic, String sendTime, String message, String account) {
        this.nickname = nickname;
        this.pic = pic;
        this.sendTime = sendTime;
        this.message = message;
        this.account = account;
    }

    @JSONCreator
    public static Message create(@JSONField(name= "nickname")String nickname,
                                 @JSONField(name= "pic")String pic,
                                 @JSONField(name= "sendTime")String sendTime,
                                 @JSONField(name= "message")String message,
                                 @JSONField(name="account")String account){
        Message message1=new Message();
        message1.setNickname(nickname);
        message1.setMessage(message);
        message1.setPic(pic);
        message1.setSendTime(sendTime);
        message1.setAccount(account);
        return message1;
    }

    public Message() {
    }

    public Message(String nickName, String pic, String time, String message) {
        this.nickname = nickName;
        this.pic = pic;
        this.sendTime = time;
        this.message = message;
    }

    /**
     * 获取
     * @return nickName
     */
    public String getNickname() {
        return nickname;
    }

    /**
     * 设置
     * @param nickname
     */
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    /**
     * 获取
     * @return pic
     */
    public String getPic() {
        return pic;
    }

    /**
     * 设置
     * @param pic
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 获取
     * @return time
     */
    public String getSendTime() {
        return sendTime;
    }

    /**
     * 设置
     * @param sendTime
     */
    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }

    /**
     * 获取
     * @return message
     */
    public String getMessage() {
        return message;
    }

    /**
     * 设置
     * @param message
     */
    public void setMessage(String message) {
        this.message = message;
    }

    public String toString() {
        return "Message{nickName = " + nickname + ", pic = " + pic + ", time = " + sendTime + ", message = " + message + "}";
    }

    /**
     * 获取
     * @return account
     */
    public String getAccount() {
        return account;
    }

    /**
     * 设置
     * @param account
     */
    public void setAccount(String account) {
        this.account = account;
    }
}
